Bug 19856 - Improve styling of reports sidebar to match tools sidebar
Summary: Improve styling of reports sidebar to match tools sidebar
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: jwayway
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on: 19664
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-21 07:24 UTC by Katrin Fischer
Modified: 2018-03-26 12:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19856: Improve styling of reports sidebar (1.35 KB, patch)
2018-01-16 03:33 UTC, jwayway
Details | Diff | Splinter Review
Bug 19856: Improve styling of reports sidebar (1.40 KB, patch)
2018-01-16 13:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19856: Improve styling of reports sidebar (5.73 KB, patch)
2018-01-17 20:23 UTC, jwayway
Details | Diff | Splinter Review
Bug 19856: Improve styling of reports sidebar (5.75 KB, patch)
2018-03-12 11:53 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19856: Improve styling of reports sidebar (1.46 KB, patch)
2018-03-18 07:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19856: Improve styling of reports sidebar (5.82 KB, patch)
2018-03-18 07:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-12-21 07:24:44 UTC
Use styling from tools sidebar for reports sidebar as well.
Comment 1 jwayway 2018-01-16 03:33:47 UTC
Created attachment 70543 [details] [review]
Bug 19856: Improve styling of reports sidebar

Test Plan
1. Open tools page and click on any of the links with a sidebar
2. Note the layout of the sidebar
3. Open reports page and click on any of the links with a sidebar
4. All the sidebars should have the same layout as the tools one
Comment 2 Owen Leonard 2018-01-16 13:58:54 UTC
Created attachment 70554 [details] [review]
Bug 19856: Improve styling of reports sidebar

Test Plan
1. Open tools page and click on any of the links with a sidebar
2. Note the layout of the sidebar
3. Open reports page and click on any of the links with a sidebar
4. All the sidebars should have the same layout as the tools one

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Josef Moravec 2018-01-17 15:00:14 UTC
With this patch, it only worsk for guided reports. You should also change the file 
reports-menu.inc, to get this working on any of reports with sidebar.
Comment 4 jwayway 2018-01-17 20:23:21 UTC
Created attachment 70642 [details] [review]
Bug 19856: Improve styling of reports sidebar

Added divs to report-menu.inc as well. Should work on any reports page
with sidebar now.
Comment 5 Charles Farmer 2018-01-19 20:33:46 UTC
I don't know if it was an innocuous mistake, but the first patch modified guided-reports-view.inc, and now the only available patch on this bug changes reports-menu.inc instead.

From what I read, Josef suggested _adding_ another patch, not replacing it altogether.
Comment 6 sandboxes@biblibre.com 2018-03-12 11:53:11 UTC
Patch tested with a sandbox, by claude <claude.brayer@cea.fr>
Comment 7 sandboxes@biblibre.com 2018-03-12 11:53:33 UTC
Created attachment 72674 [details] [review]
Bug 19856: Improve styling of reports sidebar

Added divs to report-menu.inc as well. Should work on any reports page
with sidebar now.

Signed-off-by: claude <claude.brayer@cea.fr>
Comment 8 Katrin Fischer 2018-03-18 07:52:26 UTC
Created attachment 73074 [details] [review]
Bug 19856: Improve styling of reports sidebar

Test Plan
1. Open tools page and click on any of the links with a sidebar
2. Note the layout of the sidebar
3. Open reports page and click on any of the links with a sidebar
4. All the sidebars should have the same layout as the tools one

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2018-03-18 07:52:30 UTC
Created attachment 73075 [details] [review]
Bug 19856: Improve styling of reports sidebar

Added divs to report-menu.inc as well. Should work on any reports page
with sidebar now.

Signed-off-by: claude <claude.brayer@cea.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2018-03-18 07:53:13 UTC
I unobsoleted the first patch, both have been signed off separately, so I didn't squash them. Together they create a complete fix.
Comment 11 Jonathan Druart 2018-03-23 15:36:10 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 12 Nick Clemens 2018-03-26 12:01:26 UTC
Enhancement, not backported for 17.11